;
(function() {
    var vendorPath = '../console/vendor';
    var common = '../console/scripts';
    require.config({
        baseUrl: './scripts/',
        skipDataMain: true,
        paths: {
            'angular': vendorPath + '/angular/angular',
            'angular-base64':vendorPath + '/angular-base64/angular-base64-utf8',
            'angular-route': vendorPath + '/angular-route/angular-route',
            'angular-resource': vendorPath + '/angular-resource/angular-resource',
            'angular-animate': vendorPath + '/angular-animate/angular-animate',
            'angular-growl': vendorPath + '/angular-growl/build/angular-growl',
            'angular-cookies': vendorPath + '/angular-cookies/angular-cookies',
            'angular-sanitize': vendorPath + '/angular-sanitize/angular-sanitize.min',
            'ui.router': vendorPath + '/angular-ui-router/release/angular-ui-router.min',
            'angular-ui-validate': vendorPath + '/angular-ui-utils/validate.min',
            'ui.bootstrap': vendorPath + '/angular-bootstrap/ui-bootstrap',
            'bindonce': vendorPath + '/angular-bindonce/bindonce',
            'jQuery': vendorPath + '/jquery/jquery.min',
            'highcharts': vendorPath + '/highcharts/highcharts',
            'ng-clip': vendorPath + '/ng-clip/ng-clip',
            'app': 'lcc/app',
            'bootstrap': 'lcc/bootstrap',
            'angular-file-upload': 'lcc/vendor/angular-file-upload/angular-file-upload',
            'jquery-sparkline': 'lcc/vendor/jquery-sparkline/jquery.sparkline',
            'spinjs': vendorPath + '/spinjs/spin',
            'common': common,
            'common-tpl': common + '/aliyun-console-tpl',
            'aliyun-console-bootstrap-tpl': common + '/aliyun-console-bootstrap-tpl',
            'aliyun-lcc-tpl': 'lcc/aliyun-lcc-tpl',
            'angular-locale-zh-cn': vendorPath + '/ng-locale/angular-locale_zh-cn',
            'angular-translate': vendorPath + '/angular-translate/angular-translate',
            'ui.select2': vendorPath +'/angular-ui-select2/src/select2',
            'select2': vendorPath +'/select2/select2',
            'select2-locale-zh-cn': vendorPath +'/select2/select2_locale_zh-CN',
            'TweenMax': vendorPath +'/tweenmax/TweenMax.min',
            'LogSniffer': 'lcc/vendor/logsniffer/logsniffer',
            'LogPosition': 'lcc/vendor/logsniffer/logposition',
            'Slider': 'lcc/vendor/slider/bootstrap-slider',
            'EndlessScroll': 'lcc/vendor/endless-scroll/endless-scroll',
            'screenfull': 'lcc/vendor/angular-screenfull/screenfull.min',
            'angularScreenfull': 'lcc/vendor/angular-screenfull/angular-screenfull.min'
        },
        shim: {
            'jQuery': { exports: 'jQuery'},
            'angular': { exports: 'angular', deps: ['jQuery']},
            'ui.router': { deps: ['angular']},
            'angular-animate': {deps: ['angular']},
            'angular-growl': { deps: ['angular-animate']},
            'angular-resource': { deps: ['angular']},
            'angular-cookies': { deps: ['angular']},
            'angular-sanitize': { deps: ['angular']},
            'angular-ui-validate': { deps: ['angular']},
            'bindonce': { deps: ['angular']},
            'aliyun-console-bootstrap-tpl': { deps: ['angular']},
            'ui.bootstrap': { deps: ['aliyun-console-bootstrap-tpl']},
            'ng-clip': {deps: ['angular']},
            'highcharts': {deps: ['jQuery']},
            'jquery-sparkline':{deps: ['jQuery']},
            'common-tpl': { deps: ['angular']},
            'spinjs': {},
            'angular-locale-zh-cn': { deps: ['angular']},
            'aliyun-lcc-tpl': { deps: ['angular']},
            'angular-translate': { deps: ['angular']},
            'select2': {deps:['jQuery']},
            'select2-locale-zh-cn': {deps:['jQuery', 'select2']},
            'ui.select2': { deps:['angular', 'select2', 'select2-locale-zh-cn']},
            'app':{},
            'angular-base64': {
                deps: ['angular']
            },
            'TweenMax': { exports: 'TweenMax' },
            'LogSniffer': {},
            'LogPosition': {},
            'Slider': { deps: ['jQuery'] },
            'EndlessScroll': { deps: ['jQuery'] },
            'screenfull': {},
            'angularScreenfull': { deps: ['angular']}
        }
    });
}());
